%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initializes the pathes
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function tf = initialize_configs(sys_path)

global configs;

if exist([sys_path '/config/configs.mat'])
    load([sys_path '/config/configs.mat']);
else
    create_configs(sys_path);
end

% check the validity of the path for the wav files

if exist([sys_path '/sets/All/All_SndList.mat'])

    load([sys_path '/sets/All/All_SndList.mat']);

    if (length(All_SndList.snd)>(length(configs.talkers)*length(configs.cons)))
        tf = 1;
    else 
        tf = 0;    
        
        msgbox('The path for the wav files is incorrect!');
        
        if exist([sys_path '/config/configs.mat'])
            delete([sys_path '/config/configs.mat']);    
        end
    end

else
    tf = 0;
    return;
end

