%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program update the status of the checkboxes of mod1
% Input: handles -- the handle to the window
%        regs -- doc.mod1.regs, which contain the information of the
%        patches and gains
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function update_mod1_checkbox(handles, regs)

nregs = length(regs);
    
light_regs = -1*ones(8,1); % -1 means nonexist
light_regs(1:nregs) = 0; % 0 means exist
    
for i=1:nregs
    if (regs{i}.onoff==1)
        light_regs(i) = 1; % 1 means on
    end
end

if light_regs(1)==-1
    set(handles.mod1reg1, 'Enable', 'off');
    set(handles.mod1reg1, 'Value', 1);    
elseif light_regs(1)==0
    set(handles.mod1reg1, 'Enable', 'on');        
    set(handles.mod1reg1, 'Value', 0);
elseif light_regs(1)==1        
    set(handles.mod1reg1, 'Enable', 'on');        
    set(handles.mod1reg1, 'Value', 1);
end

if light_regs(2)==-1
    set(handles.mod1reg2, 'Enable', 'off');
    set(handles.mod1reg2, 'Value', 1);    
elseif light_regs(2)==0
    set(handles.mod1reg2, 'Enable', 'on');        
    set(handles.mod1reg2, 'Value', 0);
elseif light_regs(2)==1        
    set(handles.mod1reg2, 'Enable', 'on');        
    set(handles.mod1reg2, 'Value', 1);
end

if light_regs(3)==-1
    set(handles.mod1reg3, 'Enable', 'off');
    set(handles.mod1reg3, 'Value', 1);
elseif light_regs(3)==0
    set(handles.mod1reg3, 'Enable', 'on');        
    set(handles.mod1reg3, 'Value', 0);
elseif light_regs(3)==1        
    set(handles.mod1reg3, 'Enable', 'on');        
    set(handles.mod1reg3, 'Value', 1);
end

if light_regs(4)==-1
    set(handles.mod1reg4, 'Enable', 'off');
    set(handles.mod1reg4, 'Value', 1);    
elseif light_regs(4)==0
    set(handles.mod1reg4, 'Enable', 'on');        
    set(handles.mod1reg4, 'Value', 0);
elseif light_regs(4)==1        
    set(handles.mod1reg4, 'Enable', 'on');        
    set(handles.mod1reg4, 'Value', 1);
end

if light_regs(5)==-1
    set(handles.mod1reg5, 'Enable', 'off');
    set(handles.mod1reg5, 'Value', 1);    
elseif light_regs(5)==0
    set(handles.mod1reg5, 'Enable', 'on');        
    set(handles.mod1reg5, 'Value', 0);
elseif light_regs(5)==1        
    set(handles.mod1reg5, 'Enable', 'on');        
    set(handles.mod1reg5, 'Value', 1);
end

if light_regs(6)==-1
    set(handles.mod1reg6, 'Enable', 'off');
    set(handles.mod1reg6, 'Value', 1);    
elseif light_regs(6)==0
    set(handles.mod1reg6, 'Enable', 'on');        
    set(handles.mod1reg6, 'Value', 0);
elseif light_regs(6)==1        
    set(handles.mod1reg6, 'Enable', 'on');        
    set(handles.mod1reg6, 'Value', 1);
end

if light_regs(7)==-1
    set(handles.mod1reg7, 'Enable', 'off');
    set(handles.mod1reg7, 'Value', 1);    
elseif light_regs(7)==0
    set(handles.mod1reg7, 'Enable', 'on');        
    set(handles.mod1reg7, 'Value', 0);
elseif light_regs(7)==1        
    set(handles.mod1reg7, 'Enable', 'on');        
    set(handles.mod1reg7, 'Value', 1);
end

if light_regs(8)==-1
    set(handles.mod1reg8, 'Enable', 'off');
    set(handles.mod1reg8, 'Value', 1);    
elseif light_regs(8)==0
    set(handles.mod1reg8, 'Enable', 'on');        
    set(handles.mod1reg8, 'Value', 0);
elseif light_regs(8)==1        
    set(handles.mod1reg8, 'Enable', 'on');        
    set(handles.mod1reg8, 'Value', 1);
end
